Jump to content

Search the Community

Showing results for tags 'circle'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 23 results

  1. Hello all .. new to the board, my first post. I am cleaning up a number of drawings (sometimes 100 or 150 at a time) and am trying to set up a couple LISP routines to help. Can anyone help with creating a routine that combines the Lengthen command with a total distance of 30. Also, Lengthen, straight to the dynamic setting. The second would be to combine the Circle command with a radius of 30 and then being able to trim objects to the newly created circle. There are only a few keystrokes for each command to start with but when I have to preform them 4 or 5 times for each drawing x 100 or 150 drawings it would save a tremendous amount of time to be able to just have 1 keystroke. I am new to writing/editing LISP routines so any help would be greatly appreciated.
  2. Hi, I want to make a script who draw circles in multiple Points. The Points are automaticly made in a extension to autocad. All the Points are in same layers. It´s around 200 to 1000 Points in the drawing. My first issue is to find a commando who draw circles, with basepoints in all Points. Does anyone know the appropriate command for me? Regards, Emil
  3. In the attached drawing, where three circles are tangent to each other (top part of drawing), I draw three complete circles which are tangent and then use trim to trim the unwanted parts. But today I heard a new way to draw with no need for trimming. Apparently this method draws the arcs instead of circles. But I wonder about the degree of arcs. Also which way is faster and easier to draw, is a question for me. I couldn't find a complete solution for drawing arcs for this case. Any comment in this regard, is highly appreciated. 24.dwg
  4. i am new to all of this. would love to be able to remove all or most vertex's for any and all of my artwork. as for now i need to remove them from a circle. i do not know what the codes are for or how to use them. any help, would help.. i hopesecond sign Y.dxf second sign W.dxf
  5. In Blender 3D, there is a circle select tool (formerly brush select) that allows you to paint your selection as if using a brush in Photoshop. After extensive searches, I can't find anything like it in Autocad. Is there anything like this out there already, or will I need to draft it up myself? Any tips on how to do it would be awesome. Is there a tool that lets you click and drag to dynamically create a polyline or spline (sort of like a fence select where you hold your click)? I could possibly hack together some code onto that to offset the line with circle end-caps, and then select within curve. The Blender circle tool is demonstrated in the second half of this video: https://youtu.be/WCTuc2Dk-3E?t=2m10s And it's documented here, under circular region: https://www.blender.org/manual/modeling/meshes/selecting/basics.html
  6. Hi, I have a drawing with lots of circles (all different sizes). I need to shrink all the circles by .1mm. I need an 'ugway' to help my autocad kung fu.
  7. Hi, I want to use the quick calculator to draw a circle on a line in X units from an END point using the VEC variable, I used for example 5*vec1(end,end) but the circle is 5 units from the origin (and parallel the line ) and not from the end point as you can see in the image capture: What is the correct method? Thank you
  8. Hey, can anyone help me with this project? I need to draw a circle tangent to 3 points on the red shape in the image I attached. The circle's diameter needs to represent the longest distance between 2 points on the shape. The question I have is: I don't know how to look for these 3 points on the shape. I also don't know how to find the 2 points on the shape which represents the longest distance inside of the shape. So how do I draw the circle? I am so frustrated with this. Anyone who can help me I would appreciate a lot. Thank you so much!!!
  9. I am working off of this code cadpanacea.com/node/186, but when I try to run the following, the radius of the circular hatch varies based on the 'ctr' variable's distance from the origin. I would like it to depend solely on the 'ctr' and 'edge' points. (defun c:test()(setvar "osmode" 0) (setq ctr (getpoint "\nCenter of Circle: ")) (setq edge (getpoint "\nEdge of Circle: ")) (entmakex (list (cons 0 "HATCH") (cons 100 "AcDbEntity") (cons 8 "E-GRND") (cons 100 "AcDbHatch") (cons 10 ctr) (cons 210 (list 0 0 1)) (cons 2 "SOLID") (cons 70 1) (cons 71 0) (cons 91 1) (cons 92 1) (cons 93 1) (cons 72 3) ;the "3" designates this is an elliptical shape, 1 for circle (cons 10 ctr) ;center point of ellipse (cons 11 edge) ;point of top quad (cons 40 1) ;ratio of width to height (cons 50 0.0) ;start angle (cons 51 (* pi 2.0)) ;end angle (full ellipse) (cons 73 1) ;counterclockwise flag (cons 97 0) (cons 75 0) (cons 76 1) (cons 98 1) (cons 10 (list 0 0 0)) ))
  10. I am looking for circle command such as Tan, Tan, Radius but it is not 100% what I was looking for. I am looking for Point of corner, Tan, Radius. See the picture here for example. Can you help me with this?
  11. Hi, I'm having a problem with OSNAP and am not sure what I'm doing wrong. As you can see from the attached photo, I am using offset to create a parallel line to the one selected (the leftmost line) that I am trying to place tangent to the circle in the center. However, the tangent snap points (which should be visible in the picture) aren't working properly and cause the line to snap to a position inside the circle rather than tangent to it. My command process is offset -> through -> select line -> select TAN onsnap option -> hover over circle near desired tangent point. Any help would be appreciated. Thanks!
  12. This is a geometry question, but I think folks here can help me to find a solution to draw it with CAD capabilites I have 2 points and a line given (both points on one side of line) I want to draw a circle so that it passes through two points and tangent to the given line. I tried a little bit but seams not be so easy (at least for me) Any idea. I have to say that still I couldn't solve the geometry of the question but there might be a solution in ACAD.
  13. Can a AutoLISP command be written to read an attribute in a block and draw a circle with the attribute as the diameter using variables? The appilcation is taking the diameter of a tree trunk (the attribute), multipling by 12, and drawing the canopy circle on hundreds of those blocks. So the circles drawn will vary in size. Not sure how this could be set up, i'm NOT familiar with LISP writing AT ALL. 1) Read block, single, mulitple or definition? 2) Read Attribute 3) Varaible of attribute, (attribute is an inch measurement...it needs to be multipled by 12 to get feet for final use as circle diameter drawn) 4) Draw circle, variable, with diameter coming from attribute variable (attribute in inches that is multipled by 12) 5) Center point or circle to be block's base point Thanks everyone, always such great help here!
  14. Hey guys, I'm working on a code but I am having issues with getting the DXF codes assigned to a variable and using the variables for the polygon command. Basically what I am trying to do is to create a polygon that "traces" a circle that will help me with the wipeout command. (defun c:test (/ obj) (setq obj (entsel"\nSelect Circle to Wipeout: ")) (setq rad (assoc 40 obj)) (setq cen (assoc 10 obj)) (command "_.polygon" 50 cen "C" rad ) ) I'm getting this error: error: bad association list: (7ffffb05b50> (3241.76 1416.18 0.0)) Any help is appreciated
  15. Hi Guys, Here is what I could do till now with the below code (mainly from Tharwat, but I tweaked a just bit): 1) It asks for the user input to specify the origin (basically setting the UCS) 2) Export XY & Diameter detail to the excel file (converted XY to current UCS using trans function) 3) Adds a 0,0-Origin text so that user knows whether the origin is correct or not. what I'm looking for is this : 1) All the entities (arc or circles) should be numbered on the drawing 1,2,3 etc.... 2) The table what it creates should have the First column for serial numbers (per item 1) and Fifth column for the type of entity (e.g. Arc or Circle) to identify the object type. Can someone help me on this please? Cheers
  16. Perhaps someone here has seen something similar. Using 2011 mechanical, I have rotated my ucs about the x-axis 90deg. I then draw a circle with a line thru it. I can trim the line to the circle but I cannot trim the circle to the line. I have verified the objects are co-planer and, in fact, do intersect. I have repeated the same process using 2009 mechanical on this machine and it works fine. I have tried the same process on a co-workers machine running 2011 mechanical and again it works fine. I have created a new drawing and copied all of my geometry into the new file...no joy. I have also ran the "repair install" from the control panel and again no change. Any ideas?
  17. Hello all. I've lurked here for some time absorbing knowledge from various threads. I have finally run into a problem that I don't think the existing knowledge base covers. Here is my issue: I am attempting to create a circle keynote. The circle part of the keynote shall resize itself according to the width of the text in a fashion similar to how the TCIRCLE command draws a circle around text. I've banged my head against the wall all day trying to get this to work with dynamic blocks, but it is beyond me. Any help would be greatly appreciated
  18. For some strange reason when I got to work this morning I was unable to view items as I draw. I can see lines as I draw once I specify the first point with ortho on or off, but I can't see shapes (dimensions, circles, rectangles, ellipse, or box) while I draw. Once I select the second point the object does appear but a setting has changed and I can't figure out how to get it back to normal. Any help would be greatly appreciated.
  19. I am in a hurry with the project so I don't have time to write this lisp myself specially couse I don't have any experience in it, so if anyone can help that would be great. Anyway I have a lot of parcels drawn in autocad and what i need to do is trim all the polyline endings and intersections and insert a point in the middle. Manually I do it this way: - first i make circles (radius has to be 0.5) on the endings and intersections of polylines - then I trim all the lines inside the circles - then I insert a point in the center of circles and at the end delete circles. There is also a picture at the bottom showing the first and the last fase of the process. If anyone knows about the lisp that does that or maybe have time to write one it would help me a lot. Thanks in advance. :-)
  20. Hello everyone, I have a problem drawing text in a complete circle in AutoCAD (version 2012), I used "Arctext" but the letters don't seem to stay at a even space between them... it's not a very good end result :-( Does any one know a different command or lsp that I can use to do this in a more perfect manner? Thanks in advance, Castro
  21. Hello everyone! I would like some help with a lisp that draws lines from multiple starting points to multiple endingpoints. It would be beneficial if lines did not intersect, and if lines were drawn in 45 angles. I will attach a drawing example of what i want. I never made a lisp before so i dont know how hard this is. I know some scripting (autohotkeys). Nice to find this forum. Hope you can help me / direct me. I am willing to learn. Best regards /T example.dwg example.dwg
  22. Computer Aided Being

    drawing vertically

    What is the method for drawing a circle on the z axis? Ex: I have a cube and I want to make some circles on the vertical sides. Thanks.
  23. Spirograph, as some of you may know is curves obtained by sliding a circle inside or outside another circle with different radius without slipping. There is a toy for drawing these graphs as well. I read in a site, it is possible to draw them on computer as well (http://wordsmith.org/anu/java/spirograph.html) but I couldn't succeed. I want to know is it possible to write a VBA in AutoCad so that I draw them in AUTOCAD? Any comment is highly appreciated. BR Khoshravan
×
×
  • Create New...